typst-query(1)

NAME
typst-query - Processes an input file to extract provided metadata

SYNOPSIS
typst-query [--root] [--input] [--font-path] [--ignore-system-fonts] [--creation-timestamp] [--diagnostic-format] [--package-path] [--package-cache-path] [-j|--jobs] [--field] [--one] [--format] [--pretty] [-h|--help] <INPUT> <SELECTOR>

DESCRIPTION
Processes an input file to extract provided metadata

OPTIONS

--root=DIR
    Configures the project root (for absolute paths)
    May also be specified with the TYPST_ROOT environment variable.

--input=key=value
    Add a string key-value pair visible through `sys.inputs`

--font-path=DIR
    Adds additional directories that are recursively searched for fonts If multiple paths are specified, they are separated by the system's path separator (`:` on Unix-like systems and `;` on Windows).
    May also be specified with the TYPST_FONT_PATHS environment variable.

--ignore-system-fonts
    Ensures system fonts won't be searched, unless explicitly included via `--font-path`

--creation-timestamp=UNIX_TIMESTAMP
    The document's creation date formatted as a UNIX timestamp. For more information, see <https://reproducible-builds.org/specs/source-date-epoch/>.
    May also be specified with the SOURCE_DATE_EPOCH environment variable.

--diagnostic-format=DIAGNOSTIC_FORMAT [default: human]
    The format to emit diagnostics in
    [possible values: human, short]

--package-path=DIR
    Custom path to local packages, defaults to system-dependent location
    May also be specified with the TYPST_PACKAGE_PATH environment variable.

--package-cache-path=DIR
    Custom path to package cache, defaults to system-dependent location
    May also be specified with the TYPST_PACKAGE_CACHE_PATH environment variable.

-j, --jobs=JOBS
    Number of parallel jobs spawned during compilation, defaults to number of CPUs. Setting it to 1 disables parallelism

--field=FIELD
    Extracts just one field from all retrieved elements

--one
    Expects and retrieves exactly one element

--format=FORMAT [default: json]
    The format to serialize in
    [possible values: json, yaml]

--pretty
    Whether to pretty-print the serialized output. Only applies to JSON format.

-h, --help
    Print help (see a summary with '-h')

<INPUT>
    Path to input Typst file. Use `-` to read input from stdin

<SELECTOR>
    Defines which elements to retrieve